InvalidPropertiesFormatException (Java SE 22 & JDK 22)
Description: declaration: module: java.base, package: java.util, class: InvalidPropertiesFormatException
Keywords: java.util.InvalidPropertiesFormatException class

Module java.base
Package java.util

# Class InvalidPropertiesFormatException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.io.IOException
java.util.InvalidPropertiesFormatException

All Implemented Interfaces:
  `Serializable`

public class InvalidPropertiesFormatException extends IOException
Thrown to indicate that an operation could not complete because the input did not conform to the appropriate XML document type for a collection of properties, as per the `Properties` specification.

Note, that although InvalidPropertiesFormatException inherits Serializable interface from Exception, it is not intended to be Serializable. Appropriate serialization methods are implemented to throw NotSerializableException.

Since:
  1.5
See Also:
  - `Properties`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InvalidPropertiesFormatException(String message)`
  Constructs an InvalidPropertiesFormatException with the specified detail message.
  `InvalidPropertiesFormatException(Throwable cause)`
  Constructs an InvalidPropertiesFormatException with the specified cause.

- ## Method Summary

  ### Methods declared in class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods declared in class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### InvalidPropertiesFormatException

    public InvalidPropertiesFormatException(Throwable cause)
    Constructs an InvalidPropertiesFormatException with the specified cause.
    Parameters:
      `cause` - the cause (which is saved for later retrieval by the `Throwable.getCause()` method).

  - ### InvalidPropertiesFormatException

    public InvalidPropertiesFormatException(String message)
    Constructs an InvalidPropertiesFormatException with the specified detail message.
    Parameters:
      `message` - the detail message. The detail message is saved for later retrieval by the `Throwable.getMessage()` method.